Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.cql3
Class CFDefinition

    java.lang.Object
      org.apache.cassandra.cql3.CFDefinition

All Implemented Interfaces:
  java.lang.Iterable<CFDefinition.Name>

    public class CFDefinition

extends java.lang.Object
implements java.lang.Iterable<CFDefinition.Name>

Holds metadata on a CF preprocessed for use by CQL queries.

Nested Class Summary
`static class` | `CFDefinition.Name`

Field Summary
`CFMetaData` | `cfm`
`java.util.LinkedHashMap<ColumnIdentifier,CFDefinition.Name>` | `columns`
`static AbstractType<?>` | `definitionType`
`boolean` | `isCompact`
`boolean` | `isComposite`
`CFDefinition.Name` | `key`
`java.util.Map<ColumnIdentifier,CFDefinition.Name>` | `metadata`
`CFDefinition.Name` | `value`

Constructor Summary
`CFDefinition(CFMetaData cfm)`

Method Summary
`CFDefinition.Name` | `get(ColumnIdentifier name)`
`ColumnNameBuilder` | `getColumnNameBuilder()`
`AbstractType<?>` | `getNameComparatorForResultSet(CFDefinition.Name name)`
`java.util.Iterator<CFDefinition.Name>` | `iterator()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### definitionType

    public static final AbstractType<?> definitionType

### cfm

    public final CFMetaData cfm

### key

    public final CFDefinition.Name key

### columns

    public final java.util.LinkedHashMap<ColumnIdentifier,CFDefinition.Name> columns

### value

    public final CFDefinition.Name value

### metadata

    public final java.util.Map<ColumnIdentifier,CFDefinition.Name> metadata

### isComposite

    public final boolean isComposite

### isCompact

    public final boolean isCompact

Constructor Detail

### CFDefinition

    public CFDefinition(CFMetaData cfm)

Method Detail

### get

    public CFDefinition.Name get(ColumnIdentifier name)

### iterator

    public java.util.Iterator<CFDefinition.Name> iterator()

  Specified by:
    `iterator` in interface `java.lang.Iterable<CFDefinition.Name>`

### getColumnNameBuilder

    public ColumnNameBuilder getColumnNameBuilder()

### getNameComparatorForResultSet

    public AbstractType<?> getNameComparatorForResultSet(CFDefinition.Name name)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 The Apache Software Foundation